using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace konzolna_aplikacija_prvi_zadatak
{
    class Program
    {
       
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int k = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(Console.ReadLine());
            }
            for(int i = 0; i < n; i++)
            {
                for(int j = i; j < n; j++)
                {
                    if (a[i] > a[j])
                    {
                        int t = a[i];
                        a[i] = a[j];
                        a[j] = t;
                    }
                }
            }
            int s = 0;
            int[] p = new int[n];
            int b =1;
            int b2 = 0;
            for (int i = 0; i < n; i++)
            {
                if (i + 1 < n)
                {


                    if (a[i] == a[i + 1])
                    {
                        b++;
                    }
                    else
                    {
                        if (b >= k)
                        {
                            s++;
                            b = 1;
                            p[b2] = a[i];
                            b2++;
                        }
                    }
                }
            }
            if (b >= k)
            {
                s++;
                p[b2] = a[n - 1];
            }
            
            Console.WriteLine(s);
            for(int i = 0; i < s; i++)
            {
                Console.WriteLine(p[i]);
            }
            Console.ReadLine();
           



        }
    }
}